.carousel{
	.carousel-controls{
		z-index: 100;
	}
	[class^="icon-"]{
		@extend .icon;
	}
	.icon-previous{
		@extend .icon-rewind;
	}
	.icon-next{
		@extend .icon-ff;
	}
	.carousel-indicators{
		margin-bottom: 0;
	}
}

.carousel-cover{
	position: relative;
	&.overlay{
		position: absolute;
	}
	&:after{
		position: absolute;
		top: 0;
		left:0;
		right:0;
		content: "";
		display: block;
		bottom:0;
		background: rgba($black, 0.5);
		z-index: 1;
	}

	.carousel-play{
		position: absolute;
		bottom:0;
		left: 0;
		z-index: 2;
		color: $white !important;
		margin-left: 1.5rem;
		margin-bottom: .8rem;
		font-size: 1rem;
		cursor: pointer;
		font-family: $font-family-sans-serif;
		.icon-slide-gallery{
			font-size: 3.5rem;
			text-align: center;
			display: block;
			opacity: .8;
			height: 3rem;
			line-height: .4;
		}
	}
}




.carousel-fade {
	.carousel-item {
		display: block !important;
		position: absolute;
		opacity: 0;
		top:0;
		z-index: 0;
		visibility: hidden;
		transform: none !important;
		transition: opacity .5s ease-in-out;
		&.active {
			opacity: 1;
			position: relative;
			z-index: 1;
			visibility: visible;
		}
		&.active{
			z-index: 1;
			position: relative;
		}
		&.carousel-item-prev,
		&.carousel-item-next{
			position: absolute;
			opacity: 1;
			display: block !important;
			z-index: 2;
			visibility: visible !important;
		}
	}
}


[class*="gallery-layout-portfolio"]{
	.gallery-portfolio-controls{
		font-family: $font-family-sans-serif;
		font-size: 1rem;
		font-weight: 400;
	}
	.gallery-item{
		width: 100%;
		margin: 0;
	}
	.collapse-carousel{
		display: none;
	}
	.expand-carousel, .collapse-carousel{
		color: $white !important;
		cursor: pointer;
	}
	.carousel-expanded{

		.carousel-inner{
			overflow: visible;
		}
		.gallery-portfolio-controls, .gallery-caption, .carousel-indicators{
			display: none;
		}
		.carousel-portfolio-item{
			figcaption{
				position: absolute;
				bottom: 0;
				right: 100%;
				@extend .col-md-4;
				z-index: 100;
			}
			.expand-carousel{
				display: none;
				color: white;
			}
			.collapse-carousel{
				display: none;
			}
			&:hover{
				.collapse-carousel{
					display: block;
				}
			}
		}
		
		
	}
}

.gallery-layout-portfolio-reverse{
	.carousel{
		order: -1;
	}
	
	.carousel-expanded{

		.carousel-portfolio-item{
			figcaption{
				bottom: 0;
				left: 100%;
				right: auto;
			}
		}
	}

}